MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023962Open CASCADE[OCCT] OCCT:Documentationpublic2013-05-14 15:222013-12-19 13:59
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023962: Moving OCCT documentation to sources
DescriptionAt the moment there are many difficulties with maintenance of OCC documentation, such as impossibility of in-time modification and uploading of User Guides.
It is proposed to include documentation files in Open CASCADE repository. This action will help OCC developers to keep documentation in actual state, including easy access to all necessary files, integration with OCC Reference documentation and fast generation of OCCT User Documentation, which can be quickly modified and uploaded to OCCT web site.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0024269closedbugmaster Content of occt documentation should be updated 
parent of 0024341closedbugmaster Document building OpenCL ICD Loader package 
related to 0024212closedszy Move OCAF sample code to samples 

-  Notes
(0024383)
omy (developer)
2013-05-14 17:42
edited on: 2013-05-16 15:22

The proposed feature was integrated into Branch CR23962.
http://git.dev.opencascade.org/gitweb/?p=occt.git;a=log;h=refs/heads/CR23962 [^]

The branch includes:
- common format for documentation files: MarkDown (.md)
- new folder substructure for OCC package: docs/
- documentation sources and config files for Doxygen tool to make user documentation in HTML format.

The structure of new subfolder, description of new document syntax and other information can be found in %OCCT_DIR%/docs/UserGuides/OCCT_Docs_HowTo/OCCT_Docs_HowTo.md

(0024845)
omy (developer)
2013-06-24 16:56
edited on: 2013-06-24 18:48

Dear bugmaster,

I've made an update for the mentioned branch.
Now a developer can use TCL script "occdoc.tcl" and occdoc command to generate PDF and HTML documents from "source" md files.
Additional information about the script usage and recent modifications can be found here: %OCCT_DIR%/docs/UserGuides/OCCT_Docs_HowTo/OCCT_Docs_HowTo.md

Please, review.

(0024976)
ibs (developer)
2013-07-05 17:15
edited on: 2013-07-08 14:05

omy,
please review the last fixes in CR23962 branch. I hope they will be useful.

(0025020)
omy (developer)
2013-07-11 11:44
edited on: 2013-07-11 15:31

OCCT documentation (Overview and User Guides) has been converted from MS Word files to text-based MarkDown format and added to OCCT sources, in the new subfolder 'dox'. The HTML and PDF articles can be generated from the sources using Doxygen and MiKTeX. See the file OCCT_Docs_HowTo.md for details on the new documentation system.
Further modifications of the documentation system will include:
 - increasing usability of generation tools;
 - moving 'wgendoc' command to a separated script to decrease the use of WOK;
 - providing web access to Open CASCADE User Guides and Overview;

(0025024)
omy (developer)
2013-07-11 13:27
edited on: 2013-07-11 15:01

Last version of the branch includes:

- sources of almost all OCCT User Guides and Overview
- tcl and bat generation scripts, which allow to generate HTML and PDF documents
- Extended Documents Manual and Tests Manual

Dear ibs,
Please, review the branch CR23962_2.

(0025034)
ibs (developer)
2013-07-11 16:47

the branch has been reviewed without significant remarks

Dear bugmaster, please integrate the one
(0025038)
apn (administrator)
2013-07-11 17:14

Tested. CR23962_2 will be integrated to master.
(0025043)
abv (manager)
2013-07-12 07:43

Please wait a bit with integration, the branch is still raw. I will try to revise it next week.

Oleg: I have pushed some first changes in the bat and tcl scripts to allow gendoc.bat to be run from properly configured WOK without any additional settings, please have a look.
(0025779)
ibs (developer)
2013-09-27 16:52
edited on: 2013-09-27 18:13

the structure of html documentation has been arranged;

The question are still open:
0. pdf version of the documentation (update pdf-generation-section of documentation)
1. generation of the markdown analog of Voxels User's guide (PDF)
2. what should we do with Release Notes(PDF)
3. interface of gendoc have to be rewritten to become more "real-time informative"
4. introductions of user and devs guides sections
5. 3d object tutorial
6. search index of documentation
7. MATHJAX usage at "local" context
8. svg-unification of images


- Related Changesets
occt: master 72b7576f
Timestamp: 2013-10-17 08:47:29
Author: ibs
Committer: bugmaster
Details ] Diff ]
0023962: Moving OCCT documentation to sources

OCCT documentation (Overview and User Guides) has been converted from MS Word files to text-based MarkDown format and added to OCCT sources, in the new subfolder 'dox'. The HTML and PDF articles can be generated from the sources using Doxygen and MiKTeX. See the file OCCT_Docs_HowTo.md for details on the new documentation system.

This branch includes:

- new folder structure for Open CASCADE documentation
- sources of almost all OCCT User Guides and Overview
- tcl and bat scripts, which allow to generate HTML and PDF articles
mod - .gitattributes Diff ] File ]
mod - .gitignore Diff ] File ]
add - dox/dev_guides/building/automake.md Diff ] File ]
add - dox/dev_guides/building/cmake.md Diff ] File ]
add - dox/dev_guides/building/code_blocks.md Diff ] File ]
add - dox/dev_guides/building/msvc.md Diff ] File ]
add - dox/dev_guides/building/xcode.md Diff ] File ]
add - dox/dev_guides/cdl/cdl.md Diff ] File ]
add - dox/dev_guides/cdl/images/cdl_image001.jpg Diff ] File ]
add - dox/dev_guides/cdl/images/cdl_image002.jpg Diff ] File ]
add - dox/dev_guides/cdl/images/cdl_image003.jpg Diff ] File ]
add - dox/dev_guides/cdl/images/cdl_image004.jpg Diff ] File ]
add - dox/dev_guides/cdl/images/cdl_image005.jpg Diff ] File ]
add - dox/dev_guides/cdl/images/cdl_image006.jpg Diff ] File ]
add - dox/dev_guides/cdl/images/cdl_image007.jpg Diff ] File ]
add - dox/dev_guides/cdl/images/cdl_image008.jpg Diff ] File ]
add - dox/dev_guides/cdl/images/cdl_image009.jpg Diff ] File ]
add - dox/dev_guides/cdl/images/cdl_image010.jpg Diff ] File ]
add - dox/dev_guides/cdl/images/cdl_image011.jpg Diff ] File ]
add - dox/dev_guides/cdl/images/cdl_image012.jpg Diff ] File ]
add - dox/dev_guides/dev_guides.md Diff ] File ]
add - dox/dev_guides/documentation/documentation.md Diff ] File ]
add - dox/dev_guides/documentation/images/documentation_image001.png Diff ] File ]
add - dox/dev_guides/tests/images/tests_image001.png Diff ] File ]
add - dox/dev_guides/tests/tests.md Diff ] File ]
add - dox/dev_guides/wok/images/wok_image001.jpg Diff ] File ]
add - dox/dev_guides/wok/images/wok_image002.jpg Diff ] File ]
add - dox/dev_guides/wok/images/wok_image003.jpg Diff ] File ]
add - dox/dev_guides/wok/images/wok_image004.jpg Diff ] File ]
add - dox/dev_guides/wok/wok.md Diff ] File ]
add - dox/DoxygenLayout.xml Diff ] File ]
add - dox/FILES.txt Diff ] File ]
add - dox/occdoc.tcl Diff ] File ]
add - dox/overview/images/overview_c__ie.png Diff ] File ]
add - dox/overview/images/overview_draw.png Diff ] File ]
add - dox/overview/images/overview_installation.png Diff ] File ]
add - dox/overview/images/overview_mvc.png Diff ] File ]
add - dox/overview/images/overview_occttransparent.png Diff ] File ]
add - dox/overview/images/overview_qt.png Diff ] File ]
add - dox/Overview/LICENSE.md Diff ] File ]
add - dox/Overview/Overview.md Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image001.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image002.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image003.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image004.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image005.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image006.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image007.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image008.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image009.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image010.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image011.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image012.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image013.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image014.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image015.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image016.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image017.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image018.png Diff ] File ]
add - dox/overview/tutorial/images/tutorial_image019.png Diff ] File ]
add - dox/overview/tutorial/tutorial.md Diff ] File ]
add - dox/resources/occt_logo.png Diff ] File ]
add - dox/start.tcl Diff ] File ]
add - dox/technical_overview/images/technical_overview_over.png Diff ] File ]
add - dox/technical_overview/technical_overview.md Diff ] File ]
add - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]
add - dox/user_guides/draw_test_harness/images/draw_test_harness_image001.jpg Diff ] File ]
add - dox/user_guides/draw_test_harness/images/draw_test_harness_image002.jpg Diff ] File ]
add - dox/user_guides/foundation_classes/foundation_classes.md Diff ] File ]
add - dox/user_guides/foundation_classes/images/foundation_classes_image001.jpg Diff ] File ]
add - dox/user_guides/foundation_classes/images/foundation_classes_image002.jpg Diff ] File ]
add - dox/user_guides/foundation_classes/images/foundation_classes_image003.jpg Diff ] File ]
add - dox/user_guides/foundation_classes/images/foundation_classes_image004.jpg Diff ] File ]
add - dox/user_guides/foundation_classes/images/foundation_classes_image005.jpg Diff ] File ]
add - dox/user_guides/foundation_classes/images/foundation_classes_image006.jpg Diff ] File ]
add - dox/user_guides/foundation_classes/images/foundation_classes_image007.jpg Diff ] File ]
add - dox/user_guides/foundation_classes/images/foundation_classes_image008.jpg Diff ] File ]
add - dox/user_guides/iges/iges.md Diff ] File ]
add - dox/user_guides/iges/images/iges_image001.jpg Diff ] File ]
add - dox/user_guides/iges/images/iges_image002.jpg Diff ] File ]
add - dox/user_guides/iges/images/iges_image003.jpg Diff ] File ]
add - dox/user_guides/iges/images/iges_image004.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image001.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image002.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image003.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image004.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image005.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image006.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image007.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image008.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image009.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image010.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image011.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image012.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image013.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image014.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image015.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image016.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image017.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image018.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image019.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image020.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image021.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image022.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image023.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image024.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image025.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image026.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image027.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image028.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image029.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image030.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image031.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image032.png Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image033.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image034.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image035.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image036.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image037.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image038.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image039.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image040.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image041.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image042.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image043.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image044.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image045.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image046.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image047.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image048.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image049.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image050.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image051.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image052.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image053.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image054.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/images/modeling_algos_image055.jpg Diff ] File ]
add - dox/user_guides/modeling_algos/modeling_algos.md Diff ] File ]
add - dox/user_guides/modeling_data/images/modeling_data_image001.jpg Diff ] File ]
add - dox/user_guides/modeling_data/images/modeling_data_image002.jpg Diff ] File ]
add - dox/user_guides/modeling_data/images/modeling_data_image003.jpg Diff ] File ]
add - dox/user_guides/modeling_data/images/modeling_data_image004.jpg Diff ] File ]
add - dox/user_guides/modeling_data/images/modeling_data_image005.jpg Diff ] File ]
add - dox/user_guides/modeling_data/images/modeling_data_image006.jpg Diff ] File ]
add - dox/user_guides/modeling_data/images/modeling_data_image007.jpg Diff ] File ]
add - dox/user_guides/modeling_data/images/modeling_data_image008.jpg Diff ] File ]
add - dox/user_guides/modeling_data/images/modeling_data_image009.jpg Diff ] File ]
add - dox/user_guides/modeling_data/images/modeling_data_image010.jpg Diff ] File ]
add - dox/user_guides/modeling_data/images/modeling_data_image011.jpg Diff ] File ]
add - dox/user_guides/modeling_data/images/modeling_data_image012.jpg Diff ] File ]
add - dox/user_guides/modeling_data/images/modeling_data_image013.jpg Diff ] File ]
add - dox/user_guides/modeling_data/images/modeling_data_image014.jpg Diff ] File ]
add - dox/user_guides/modeling_data/modeling_data.md Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image001.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image002.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image003.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image004.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image005.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image006.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image007.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image008.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image009.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image010.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image011.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image012.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image013.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image014.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image015.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image016.png Diff ] File ]
add - dox/user_guides/ocaf/images/ocaf_image017.png Diff ] File ]
add - dox/user_guides/ocaf/ocaf.md Diff ] File ]
add - dox/user_guides/shape_healing/images/shape_healing_image001.jpg Diff ] File ]
add - dox/user_guides/shape_healing/images/shape_healing_image002.jpg Diff ] File ]
add - dox/user_guides/shape_healing/images/shape_healing_image003.jpg Diff ] File ]
add - dox/user_guides/shape_healing/images/shape_healing_image004.jpg Diff ] File ]
add - dox/user_guides/shape_healing/images/shape_healing_image005.jpg Diff ] File ]
add - dox/user_guides/shape_healing/images/shape_healing_image006.jpg Diff ] File ]
add - dox/user_guides/shape_healing/images/shape_healing_image007.jpg Diff ] File ]
add - dox/user_guides/shape_healing/images/shape_healing_image008.jpg Diff ] File ]
add - dox/user_guides/shape_healing/images/shape_healing_image009.png Diff ] File ]
add - dox/user_guides/shape_healing/images/shape_healing_image010.png Diff ] File ]
add - dox/user_guides/shape_healing/images/shape_healing_image011.png Diff ] File ]
add - dox/user_guides/shape_healing/images/shape_healing_image012.png Diff ] File ]
add - dox/user_guides/shape_healing/images/shape_healing_image013.png Diff ] File ]
add - dox/user_guides/shape_healing/images/shape_healing_image014.png Diff ] File ]
add - dox/user_guides/shape_healing/shape_healing.md Diff ] File ]
add - dox/user_guides/step/images/step_image001.jpg Diff ] File ]
add - dox/user_guides/step/images/step_image002.jpg Diff ] File ]
add - dox/user_guides/step/images/step_image003.jpg Diff ] File ]
add - dox/user_guides/step/images/step_image004.jpg Diff ] File ]
add - dox/user_guides/step/step.md Diff ] File ]
add - dox/user_guides/tobj/images/tobj_image003.png Diff ] File ]
add - dox/user_guides/tobj/images/tobj_image004.jpg Diff ] File ]
add - dox/user_guides/tobj/images/tobj_image005.png Diff ] File ]
add - dox/user_guides/tobj/images/tobj_image006.png Diff ] File ]
add - dox/user_guides/tobj/images/tobj_image007.png Diff ] File ]
add - dox/user_guides/tobj/images/tobj_image008.png Diff ] File ]
add - dox/user_guides/tobj/tobj.md Diff ] File ]
add - dox/user_guides/user_guides.md Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image001.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image002.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image003.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image004.png Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image005.png Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image006.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image007.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image008.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image009.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image010.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image011.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image012.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image013.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image014.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image015.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image016.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image017.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image018.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image019.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image020.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image021.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image022.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image023.png Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image024.png Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image025.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image026.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image027.jpg Diff ] File ]
add - dox/user_guides/visualization/images/visualization_image028.jpg Diff ] File ]
add - dox/user_guides/visualization/visualization.md Diff ] File ]
add - dox/user_guides/wok/images/wok_image001.jpg Diff ] File ]
add - dox/user_guides/wok/images/wok_image002.jpg Diff ] File ]
add - dox/user_guides/wok/images/wok_image005.jpg Diff ] File ]
add - dox/user_guides/wok/images/wok_image005.png Diff ] File ]
add - dox/user_guides/wok/images/wok_image006.png Diff ] File ]
add - dox/user_guides/wok/images/wok_image007.png Diff ] File ]
add - dox/user_guides/wok/images/wok_image008.png Diff ] File ]
add - dox/user_guides/wok/images/wok_image009.png Diff ] File ]
add - dox/user_guides/wok/images/wok_image010.png Diff ] File ]
add - dox/user_guides/wok/images/wok_image011.png Diff ] File ]
add - dox/user_guides/wok/images/wok_image012.png Diff ] File ]
add - dox/user_guides/wok/images/wok_image013.jpg Diff ] File ]
add - dox/user_guides/wok/images/wok_image014.jpg Diff ] File ]
add - dox/user_guides/wok/images/wok_image015.png Diff ] File ]
add - dox/user_guides/wok/images/wok_image016.png Diff ] File ]
add - dox/user_guides/wok/images/wok_image017.png Diff ] File ]
add - dox/user_guides/wok/images/wok_image018.png Diff ] File ]
add - dox/user_guides/wok/images/wok_image019.png Diff ] File ]
add - dox/user_guides/wok/images/wok_image020.png Diff ] File ]
add - dox/user_guides/wok/images/wok_image021.png Diff ] File ]
add - dox/user_guides/wok/images/wok_image022.png Diff ] File ]
add - dox/user_guides/wok/wok.md Diff ] File ]
add - dox/user_guides/xde/images/xde_image001.jpg Diff ] File ]
add - dox/user_guides/xde/images/xde_image002.jpg Diff ] File ]
add - dox/user_guides/xde/images/xde_image003.jpg Diff ] File ]
add - dox/user_guides/xde/images/xde_image004.jpg Diff ] File ]
add - dox/user_guides/xde/images/xde_image005.jpg Diff ] File ]
add - dox/user_guides/xde/images/xde_image006.jpg Diff ] File ]
add - dox/user_guides/xde/xde.md Diff ] File ]
add - gendoc.bat Diff ] File ]
mod - LICENSE Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-05-14 15:22 abv New Issue
2013-05-14 15:22 abv Assigned To => omy
2013-05-14 17:15 omy Status new => assigned
2013-05-14 17:42 omy Note Added: 0024383
2013-05-16 15:02 omy Description Updated View Revisions
2013-05-16 15:18 omy Note Edited: 0024383 View Revisions
2013-05-16 15:22 omy Note Edited: 0024383 View Revisions
2013-06-24 16:56 omy Note Added: 0024845
2013-06-24 16:56 omy Note Edited: 0024845 View Revisions
2013-06-24 18:48 omy Note Edited: 0024845 View Revisions
2013-06-24 18:48 omy Assigned To omy => abv
2013-06-24 18:48 omy Status assigned => resolved
2013-07-05 17:15 ibs Note Added: 0024976
2013-07-05 17:15 ibs Assigned To abv => omy
2013-07-05 17:15 ibs Status resolved => feedback
2013-07-08 14:05 ibs Note Edited: 0024976 View Revisions
2013-07-10 11:13 omy Status feedback => assigned
2013-07-10 17:37 omy Note Added: 0025016
2013-07-10 17:37 omy Assigned To omy => ibs
2013-07-10 17:37 omy Status assigned => resolved
2013-07-11 10:24 omy Note Edited: 0025016 View Revisions
2013-07-11 11:44 omy Note Added: 0025020
2013-07-11 13:26 omy Note Deleted: 0025016
2013-07-11 13:27 omy Note Added: 0025024
2013-07-11 15:01 omy Note Edited: 0025024 View Revisions
2013-07-11 15:31 omy Note Edited: 0025020 View Revisions
2013-07-11 16:47 ibs Note Added: 0025034
2013-07-11 16:47 ibs Assigned To ibs => bugmaster
2013-07-11 16:47 ibs Status resolved => reviewed
2013-07-11 16:52 apn Note Added: 0025035
2013-07-11 16:52 apn Test case number => Not needed
2013-07-11 16:52 apn Status reviewed => tested
2013-07-11 17:05 apn Assigned To bugmaster => omy
2013-07-11 17:05 apn Status tested => assigned
2013-07-11 17:05 apn Note Deleted: 0025035
2013-07-11 17:11 omy Assigned To omy => apn
2013-07-11 17:11 omy Status assigned => resolved
2013-07-11 17:11 omy Status resolved => reviewed
2013-07-11 17:14 apn Note Added: 0025038
2013-07-11 17:14 apn Assigned To apn => bugmaster
2013-07-11 17:14 apn Status reviewed => tested
2013-07-12 07:43 abv Note Added: 0025043
2013-07-12 07:43 abv Assigned To bugmaster => abv
2013-07-12 07:43 abv Status tested => assigned
2013-09-27 16:52 ibs Note Added: 0025779
2013-09-27 18:00 ibs Note Edited: 0025779 View Revisions
2013-09-27 18:13 ibs Note Edited: 0025779 View Revisions
2013-09-30 16:52 abv Relationship added related to 0024212
2013-10-18 13:27 ibs Relationship added parent of 0024269
2013-10-18 13:47 bugmaster Changeset attached => occt master 72b7576f
2013-10-18 13:47 bugmaster Assigned To abv => bugmaster
2013-10-18 13:47 bugmaster Status assigned => verified
2013-10-18 13:47 bugmaster Resolution open => fixed
2013-11-14 10:53 abv Relationship added parent of 0024341
2013-12-19 13:51 bugmaster Status verified => closed
2013-12-19 13:59 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker